Subject: Re: [Perc] Request for decision review

From: "Roni Even" <[email-masked]>
Date: Thu, 21 Jul 2016 12:04:50 +0300

Hi,
The framework document defines the MD as
"Media Distributor (MD): An RTP middlebox that is not allowed to to
   have access to E2E encryption keys.  It may operate according to any
   of the RTP topologies [I-D.ietf-avtcore-rtp-topologies-update] per
   the constraints defined by the PERC system, which includes, but not
   limited to, having no access to RTP media unencrypted and having
   limits on what RTP header field it can alter."

If we do not allow changing SSRC by the middle box then as far as I can see
this means that only Topo-PtP-Translator from RFC7667 is applicable for PERC
and not any other topology

Roni Even

> -----Original Message-----
> From: Perc [mailto:[email-masked]] On Behalf Of Emil Ivov
> Sent: Monday, May 16, 2016 10:43 PM
> To: [email-masked]
> Subject: [Perc] Request for decision review
> 
> Hey all,
> 
> The parallel thread that we had going on the subject might have become too
> hairy so I assume not everyone is following, so I am spinning off this
one:
> 
> I would officially like to ask the PERC WG to review the decision for
> immutable SSRCs.
> 
> At this point, after the many conversations on the topic, it sounds like
no one
> would really have a problem with SSRCs being mutable. We also have at
least
> some (if not many) implementers ranting that lacking the possibility to
> change SSRCs would make things *very* complicated for them.
> 
> So all in all it sounds like we'd have a net positive if we reviewed that
> decision.
> 
> Could we please do that?
> 
> Emil
> 
> --
> https://jitsi.org
> 
> _______________________________________________
> Perc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/perc